Bug 215251 - Ipod not showing up in the list of available sources.
Ipod not showing up in the list of available sources.
Product: Fedora
Classification: Fedora
Component: listen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-12 16:53 EST by Jef Spaleta
Modified: 2008-05-06 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2006-11-12 16:53:17 EST
Description of problem:
listen from extras doesn't appear to see the ipod in its sources list like I
would expect from the screenshots on the listen homepage.

Is this a known issue? Does listen make use of the libgpod library for its ipod
management?  I'm hoping this is a simple buildtime issue that we can resolve
with an adjustment of the buildrequires and a new package push.

Comment 1 Jef Spaleta 2006-11-12 22:50:20 EST
Hey i figured out what's missing. Now I'm trying to rebuild listen with the
optional python-pygpod requires enabled. But I'm running into a problem.
I can't get the fe6 listen package to build. I'm getting Xvfb related segfault
during the build process under mock... weird.  I haven't even editting the spec
yet. I just tried to rebuild the srpm inside mock and no dice.

Can you reproduce this build issue with the fe6 listen srpm?
Here's the mock build log snippet

Checking for mutagen:
Traceback (most recent call last):
  File "./check.py", line 59, in ?
    if float(mutagen.version_string) < 1.6:
ValueError: invalid literal for float(): 1.8.-1
make: *** [check] Error 1
/var/tmp/rpm-tmp.53344: line 33: 23726 Segmentation fault      /usr/bin/Xvfb
:$XDISPLAY -nolisten tcp -ac -terminate
error: Bad exit status from /var/tmp/rpm-tmp.53344 (%build)

Comment 2 Haïkel Guémar 2006-11-13 06:09:48 EST
You don't have to rebuild the rpm to get iPod support, Listen will automatically
import the gpod module during launch if available.
If you have installed python bindings (*), Listen will recognize your iPod when
mounted. The annoying thing is that it segfaults under FC6.

I'll push an update that will fix this building issue plus some minor bugs fixing.

(*) either by using freshrpms/rpmforge libgpod + python-eye3D or any custom
package. http://darkenphoenix.free.fr/RPMS/libgpod-0.3.2-1.src.rpm
You might have to adapt the requires line depending the packages you're using.
Comment 3 Jef Spaleta 2006-11-13 22:32:14 EST
I picked up the custom specfile from redhat bugzilla #211648 for 0.4 release but
listen doesn't see the python-gpod module on startup. I'll try again with the
url you just gave me.

Have you had any contact with the Core maintainer for libgpod?  Do you know of
any technical reason why libgpod is lingering at 0.3?


Comment 4 Jef Spaleta 2006-11-13 22:49:27 EST
Okay using the libgpod-0.3.2-1.src.rpm  I am getting a segfault only when
my ipod is mounted. It sees the ipod, begins to pull the playlist info and the
boom.  Any suggestions?

Here's the terminal scroll:

No Notify support
0 songs and 3 playlists loaded
0  in pl  Master
0  in pl  Podcast
0  in pl  iRadio
load took 0.950ms
start monitoring
Update Context
0 songs and 3 playlists saved
Exit successful
[jspaleta@goober ~]$ listen
No Notify support
0 songs and 3 playlists loaded
0  in pl  Master
0  in pl  Podcast
0  in pl  iRadio
load took 0.964ms
ipod mounted at  /media/KAREN SPALE
----- IPod -----
3180 songs and 12 playlists loaded
3180  in pl  Karen Spaleta's iPod
0  in pl  Podcasts
29  in pl  90’s Music
24  in pl  Classical Choral
7  in pl  My Top Rated
0  in pl  Recently Added
716  in pl  Recently Played
25  in pl  Top 25 Most Played
103  in pl  iTrip
177  in pl  Blues
1799  in pl  Jefs Office
219  in pl  Folk
/usr/bin/listen: line 3: 15353 Segmentation fault      LD_LIBRARY_PATH=
/usr/lib/listen/listen.py "$@"

Comment 5 Bug Zapper 2008-04-04 00:37:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:47:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.